#pragma once
#include <string>

#include "Texture.h"
#include "../Game/TextureManager.h"

class Text
{
public:
	Text(const std::string& text, const std::string& fontPath, int size, const Color4f& color);
	Text() = default;
	~Text();

	void Draw(const Vector2f& pos) const;



private:
	std::string m_Text;
	std::string m_FontPath;
	Color4f m_Color;
	Texture* m_Texture;
	bool m_IsCreatedOk{ false };
};
